textures/void/fog
{
	qer_editorimage textures/sfx/fog_grey1.tga
	fogparms ( 0.6 0.9 1.0 ) 16384
	surfaceparm fog
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
}

textures/void/fog_color_solid
{
	qer_editorimage textures/void/qer/fog_color_solid.tga
	q3map_noFog
	surfaceparm nolightmap
	{
		map $whiteimage
		rgbGen const ( 0.6 0.9 1.0 )
	}
}

textures/void/jumppad_base
{
	qer_editorimage textures/void/jumppad.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/void/jumppad.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void/jumppad_glow
{
	qer_editorimage textures/void/jumppad_glow.tga
	q3map_surfacelight 100
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	polygonOffset
	deformVertexes wave 256 sin 0.0 1 0.0 0.5
	{
		clampMap textures/void/jumppad_glow.tga
		rgbGen wave sin 1.0 0.2 0.0 1.0
		blendFunc GL_ONE GL_ONE
	}
	{
		clampMap textures/void/jumppad_glow.tga
		rgbGen wave sin 1.0 0.3 0.33 0.5
		tcMod rotate 80
		tcMod turb 0.0 0.02 0.0 0.33
		blendFunc GL_ONE GL_ONE
	}
	{
		clampMap textures/void/jumppad_glow.tga
		rgbGen wave sin 1.0 0.4 0.6 0.33
		tcMod rotate -50
		tcMod turb 0.0 0.01 0.25 0.33
		blendFunc GL_ONE GL_ONE
	}
}

textures/void/ice
{
	qer_editorimage textures/void/ice.tga
	qer_trans 0.8
	q3map_tessSize 256
	q3map_surfacelight 25
	q3map_surfaceModel models/void/ice_haze.md3 96 0.8 0.2 0.4 0 359 1
	surfaceparm slick
	surfaceparm trans
	surfaceparm glass
	surfaceparm alphashadow
	cull none
	{
		map textures/effects/envmap_ice2.tga
		tcGen environment
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		depthWrite
	}
	{
		map textures/void/ice.tga
		tcMod scale 2 2
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/void/ice.tga
		tcMod scale 2 2
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void/ice_nohaze
{
	qer_editorimage textures/void/qer/ice_nohaze.tga
	qer_trans 0.8
	q3map_tessSize 256
	q3map_surfacelight 25
	surfaceparm slick
	surfaceparm trans
	surfaceparm glass
	surfaceparm alphashadow
	cull none
	{
		map textures/effects/envmap_ice2.tga
		tcGen environment
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		depthWrite
	}
	{
		map textures/void/ice.tga
		tcMod scale 2 2
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/void/ice.tga
		tcMod scale 2 2
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void/ice_ob
{
	qer_editorimage textures/void/qer/ice_ob.tga
	qer_trans 0.8
	q3map_tessSize 256
	q3map_surfacelight 25
	q3map_surfaceModel models/void/ice_haze.md3 96 0.8 0.2 0.4 0 359 1
	surfaceparm slick
	surfaceparm trans
	surfaceparm glass
	surfaceparm alphashadow
	surfaceparm monsterslicksouth
	cull none
	{
		map textures/effects/envmap_ice2.tga
		tcGen environment
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		depthWrite
	}
	{
		map textures/void/ice.tga
		tcMod scale 2 2
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/void/ice.tga
		tcMod scale 2 2
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void/ice_ns
{
	qer_editorimage textures/void/qer/ice_ns.tga
	qer_trans 0.8
	q3map_tessSize 256
	q3map_surfacelight 25
	q3map_surfaceModel models/void/ice_haze.md3 96 0.8 0.2 0.4 0 359 1
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	cull none
	{
		map textures/effects/envmap_ice2.tga
		tcGen environment
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		depthWrite
	}
	{
		map textures/void/ice.tga
		tcMod scale 2 2
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/void/ice.tga
		tcMod scale 2 2
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void/ice_haze
{
	qer_editorimage textures/void/haze.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	deformVertexes wave 64 sin 1.0 2.0 0.0 0.2
	{
		map textures/void/haze.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen const 0.1
		rgbGen vertex
	}
}

textures/void/water_haze
{
	qer_editorimage textures/void/haze.tga
	qer_trans 0.25
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	deformVertexes wave 128 sin 1.0 2.0 0.0 0.2
	{
		map textures/void/haze.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen const 0.25
		rgbGen vertex
	}
}

textures/void/water_haze_2
{
	qer_editorimage textures/void/haze.tga
	qer_trans 0.25
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	deformVertexes wave 128 sin 1.0 2.0 0.0 0.3
	{
		map textures/void/haze.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen const 0.25
		rgbGen vertex
	}
}

textures/void/water_haze_3
{
	qer_editorimage textures/void/haze.tga
	qer_trans 0.25
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	deformVertexes wave 128 sin 1.0 2.0 0.0 0.4
	{
		map textures/void/haze.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen const 0.25
		rgbGen vertex
	}
}

textures/void/teleport_red
{
	qer_editorimage textures/void/qer/teleport_red.tga
	q3map_surfacelight 50
	surfaceparm trans
	surfaceparm metalsteps
	{
		map textures/hour_pitores/metal9.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/void/teleport_red_01.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.18 0.68 0.51 0.93
	}
	{
		map textures/void/teleport_red_02.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.15 0.49 0.72 0.71
	}
	{
		map textures/void/teleport_red_03.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.13 0.48 0.88 0.80
	}
	{
		map textures/void/teleport_red_04.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.28 0.14 0.39 0.90
	}
	{
		map textures/void/teleport_red_05.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.24 0.33 0.12 0.74
	}
}

textures/void/cross_tele
{
	qer_editorimage textures/void/qer/cross_tele.tga
	q3map_surfacelight 50
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	{
		map textures/void/cross_line_01.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.28 0.68 0.51 0.33
		tcMod scroll 0.0 -0.22
	}
	{
		map textures/void/cross_line_02.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.38 0.68 0.51 0.23
		tcMod scroll 0.0 -0.45
	}
	{
		map textures/void/cross_line_03.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.45 0.49 0.72 0.41
		tcMod scroll 0.0 -0.35
	}
	{
		map textures/void/big_cross_01.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.33 0.48 0.88 0.50
	}
	{
		map textures/void/big_cross_02.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.48 0.64 0.39 0.30
	}
	{
		map textures/void/big_cross_03.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.44 0.33 0.12 0.44
	}
}

// stock rain atmosphere shader with added autosprite2
textures/void/water_droplet
{
	qer_editorimage gfx/misc/raindrop.tga
	qer_alphaFunc gequal 0.1
	cull none
	nomipmaps
	nopicmip
	deformVertexes autosprite2
	{
		map gfx/misc/raindrop.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
}

// decal_stain3b from medieval_soc
textures/void/water_stain
{
	qer_editorimage textures/medieval_soc/decal_stain3b.tga
	q3map_bounceScale 0
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	polygonOffset
	{
		map textures/medieval_soc/decal_stain3b.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
		detail
	}
}

textures/void/red_stripes_anim
{
	qer_editorimage textures/hour_pitores/decowarningstripes.tga
	q3map_lightimage textures/void/red_stripes_03.tga
	q3map_surfacelight 50
	{
		map textures/hour_pitores/decowarningstripes.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/void/red_stripes_01.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.5 0.0 0.5
	}
	{
		map textures/void/red_stripes_02.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.5 0.25 0.5
	}
	{
		map textures/void/red_stripes_03.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.5 0.5 0.5
	}
	{
		map textures/void/red_stripes_04.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.5 0.75 0.5
	}
}

textures/void/shoot_target
{
	qer_editorimage textures/void/qer/shoot_target.tga
	q3map_lightimage textures/void/target_glow_64.tga
	q3map_surfacelight 250
	{
		map $lightmap
		rgbGen identity
	}
	{
		clampMap textures/void/target_base.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/void/target_glow_64.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.25 0 0.5
	}
}

textures/void/bonjour
{
	surfaceparm nolightmap
	surfaceparm trans
	nopicmip
	nomipmaps
	{
		clampMap textures/void/bonjour.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen vertex
	}
}

textures/void/bobr_wanted_1
{
	qer_editorimage textures/void/qer/bobr_wanted_1.tga
	surfaceparm trans
	nopicmip
	nomipmaps
	polygonOffset
	{
		map textures/void/bobr_wanted.tga
		alphaFunc GE128
		rgbGen identity
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		depthFunc equal
	}
}

textures/void/bobr_wanted_2
{
	qer_editorimage textures/void/qer/bobr_wanted_2.tga
	surfaceparm trans
	nopicmip
	nomipmaps
	polygonOffset
	{
		map textures/void/bobr_wanted.tga
		alphaFunc GE128
		rgbGen identity
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		depthFunc equal
	}
}

textures/void/bobr_wanted_3
{
	qer_editorimage textures/void/qer/bobr_wanted_3.tga
	surfaceparm trans
	nopicmip
	nomipmaps
	polygonOffset
	{
		map textures/void/bobr_wanted.tga
		alphaFunc GE128
		rgbGen identity
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		depthFunc equal
	}
}

textures/void/bobr_wanted_4
{
	qer_editorimage textures/void/qer/bobr_wanted_4.tga
	surfaceparm trans
	nopicmip
	nomipmaps
	polygonOffset
	{
		map textures/void/bobr_wanted.tga
		alphaFunc GE128
		rgbGen identity
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		depthFunc equal
	}
}

textures/void/bobr_wanted_blank
{
	surfaceparm trans
	nopicmip
	nomipmaps
	polygonOffset
	{
		map textures/void/bobr_wanted_blank.tga
		alphaFunc GE128
		rgbGen identity
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		depthFunc equal
	}
}

textures/void/inertia2
{
	q3map_surfacelight 25
	q3map_backSplash 5 8
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	polygonOffset
	{
		map textures/void/inertia2.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void/uni
{
	qer_editorimage textures/void/qer/uni.tga
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm carpetsteps
	surfaceparm nolightmap
	nopicmip
	nomipmaps
	{
		videoMap video/void/uni.roq
		rgbGen vertex
	}
}

textures/void/decal_wing
{
	qer_alphaFunc gequal 0.1
	surfaceparm trans
	nopicmip
	nomipmaps
	polygonOffset
	{
		map textures/void/decal_wing.tga
		alphaFunc GE128
		rgbGen identity
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		depthFunc equal
	}
}

textures/void/teleporter_blue
{
	qer_editorimage textures/void/jumppad_glow.tga
	q3map_surfacelight 100
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	polygonOffset
	cull none
	deformVertexes wave 256 sin 0.0 1 0.0 0.5
	{
		clampMap textures/void/jumppad_glow.tga
		rgbGen wave sin 1.0 0.2 0.0 1.0
		tcMod stretch sin 1.0 0.1 0.0 0.2
		blendFunc GL_ONE GL_ONE
	}
	{
		clampMap textures/void/jumppad_glow.tga
		rgbGen wave sin 1.0 0.3 0.33 0.5
		tcMod rotate 80
		tcMod stretch sin 1.0 0.4 0.0 0.35
		blendFunc GL_ONE GL_ONE
	}
	{
		clampMap textures/void/jumppad_glow.tga
		rgbGen wave sin 1.0 0.4 0.6 0.33
		tcMod rotate -50
		tcMod stretch sin 1.0 0.8 0.25 0.45
		blendFunc GL_ONE GL_ONE
	}
}

textures/void/paw
{
	nopicmip
	polygonOffset
	{
		map textures/void/paw.tga
		alphaFunc GE128
		rgbGen identity
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		depthFunc equal
	}
}

textures/void/snapchad
{
	nopicmip
	polygonOffset
	{
		map textures/void/snapchad.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void/thanks1
{
	qer_alphaFunc gequal 0.1
	surfaceparm trans
	surfaceparm nolightmap
	nopicmip
	{
		map textures/void/thanks1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen const 0.9
		rgbGen vertex
	}
}

textures/void/thanks2
{
	qer_alphaFunc gequal 0.1
	surfaceparm trans
	surfaceparm nolightmap
	nopicmip
	{
		map textures/void/thanks2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen const 0.9
		rgbGen vertex
	}
}

models/void/dingus_nowhiskers
{
	nopicmip
	{
		map models/void/dingus_nowhiskers.jpg
		rgbGen lightingDiffuse
	}
}


models/void/dingus_whiskers
{
	qer_alphaFunc gequal 0.1
	nopicmip
	cull none
	{
		map models/void/dingus_whiskers.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen lightingDiffuse
	}
}

// idk why this needs to be here, but the game complains about this missing
// even though it's a compile time shader
textures/void/clip_metal_player
{
	qer_editorimage textures/common/clip_metal_player.tga
	qer_trans 0.3
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm metalsteps
	surfaceparm trans
}
