// ========================================================
//
// Modified water from Arctic texture pack
// Shaders for Void
//
// ========================================================

textures/void_arctic/water1_2b
{
	qer_editorimage textures/void_arctic/water1_2b.tga
	qer_trans 0.5
	q3map_surfacelight 30
	q3map_lightimage textures/void_arctic/water1_2b.tga
	surfaceparm water
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm lightfilter
	cull none
	{
		map textures/void_arctic/water1_2b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		tcMod scroll 0.025 0.05
		depthWrite
	}
	{
		map textures/void_arctic/water1_2b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		tcMod scroll -0.05 0.01
	}
}

textures/void_arctic/water1_2b_nolight
{
	qer_editorimage textures/void_arctic/qer/water1_2b_nolight.tga
	qer_trans 0.5
	q3map_lightimage textures/void_arctic/water1_2b.tga
	surfaceparm water
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm lightfilter
	cull none
	{
		map textures/void_arctic/water1_2b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		tcMod scroll 0.025 0.05
		depthWrite
	}
	{
		map textures/void_arctic/water1_2b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		tcMod scroll -0.05 0.01
	}
}

textures/void_arctic/water1_2b_scroll
{
	qer_editorimage textures/void_arctic/qer/water1_2b_scroll.tga
	qer_trans 0.5
	q3map_lightimage textures/void_arctic/water1_2b.tga
	surfaceparm water
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm lightfilter
	cull none
	{
		map textures/void_arctic/water1_2b.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen vertex
		tcMod scroll -0.05 -1.5
	}
}

textures/void_arctic/water1_2b_scroll_fur
{
	qer_editorimage textures/void_arctic/qer/water1_2b_scroll.tga
	qer_trans 0.5
	q3map_lightimage textures/void_arctic/water1_2b.tga
	q3map_cloneShader textures/void_arctic/water1_2b_fur
	surfaceparm water
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm lightfilter
	cull none
	{
		map textures/void_arctic/water1_2b.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen vertex
		tcMod scroll -0.05 -1.5
	}
}

textures/void_arctic/water1_2b_fur
{
	q3map_lightimage textures/void_arctic/water1_2b.tga
	q3map_fur 5 0.25 0.2
	surfaceparm water
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm lightfilter
	cull none
	{
		map textures/void_arctic/water1_2b.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen const 0.1
		rgbGen vertex
		tcMod scroll -0.05 -1.5
	}
}
