// ========================================================
//
// Pitores texture pack
// by Sjoerd "Hourences" De Jong
// Shaders for Void
//
// ========================================================


// ========================================================
// Base shaders
// ========================================================

textures/void_pitores/base2
{
	qer_editorimage textures/hour_pitores/base2.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/hour_pitores/base2.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/crate1
{
	qer_editorimage textures/hour_pitores/crate1.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/crate1.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/decotent1b
{
	qer_alphaFunc gequal 0.5
	surfaceparm carpetsteps
	cull none
	{
		map textures/void_pitores/decotent1b.tga
		alphaFunc GE128
		rgbGen identity
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		depthFunc equal
	}
}

textures/void_pitores/Door1
{
	qer_editorimage textures/hour_pitores/Door1.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/Door1.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/flag1_a
{
	qer_alphaFunc gequal 0.5
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm alphashadow
	deformVertexes wave 256 sin 1 0.25 0.5 0.33
	cull none
	{
		map textures/void_pitores/flag1_a.tga
		alphaFunc GE128
		rgbGen identity
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		depthFunc equal
	}
}

textures/void_pitores/floor1
{
	qer_editorimage textures/hour_pitores/floor1.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/floor1.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/lamp1
{
	qer_editorimage textures/hour_pitores/lamp1.jpg
	q3map_surfacelight 5000
	surfaceparm glass
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/lamp1.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/lamp1_blue
{
	q3map_surfacelight 5000
	surfaceparm glass
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/void_pitores/lamp1_blue.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/lamp1_yellow
{
	q3map_surfacelight 5000
	surfaceparm glass
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/void_pitores/lamp1_yellow.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/lamp1_red
{
	q3map_surfacelight 5000
	surfaceparm glass
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/void_pitores/lamp1_red.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/metal10
{
	qer_editorimage textures/hour_pitores/metal10.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/metal10.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/metal10b
{
	qer_editorimage textures/hour_pitores/metal10b.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/hour_pitores/metal10b.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/metal3
{
	qer_editorimage textures/hour_pitores/metal3.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/metal3.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/metal5
{
	qer_editorimage textures/hour_pitores/metal5.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/metal5.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/metal5b
{
	qer_editorimage textures/hour_pitores/metal5b.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/metal5b.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/metal6
{
	qer_editorimage textures/hour_pitores/metal6.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/metal6.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/metal8
{
	qer_editorimage textures/hour_pitores/metal8.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/metal8.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/metal8b
{
	qer_editorimage textures/hour_pitores/metal8b.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/metal8b.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/panel1
{
	qer_editorimage textures/hour_pitores/panel1.jpg
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/hour_pitores/panel1.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/panel1b
{
	qer_editorimage textures/hour_pitores/panel1b.jpg
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/panel1b.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/panel2
{
	qer_editorimage textures/hour_pitores/panel2.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/panel2.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/panel3
{
	qer_editorimage textures/hour_pitores/panel3.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/panel3.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/trim1
{
	qer_editorimage textures/hour_pitores/trim1.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/trim1.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/trim1b
{
	qer_editorimage textures/hour_pitores/trim1b.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/hour_pitores/trim1b.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/trim2
{
	qer_editorimage textures/hour_pitores/trim2.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/hour_pitores/trim2.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/trim3
{
	qer_editorimage textures/hour_pitores/trim3.jpg
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/trim3.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/trim4
{
	qer_editorimage textures/hour_pitores/trim4.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/trim4.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/wood2
{
	qer_editorimage textures/hour_pitores/wood2.jpg
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/wood2.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/wood5
{
	qer_editorimage textures/hour_pitores/wood5.jpg
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/hour_pitores/wood5.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/wood5b
{
	qer_editorimage textures/hour_pitores/wood5b.jpg
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/hour_pitores/wood5b.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


// ========================================================
// Special shaders
// ========================================================

textures/void_pitores/base4b_ns
{
	qer_editorimage textures/void_pitores/qer/base4b_ns.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/base4b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/brick1_ns
{
	qer_editorimage textures/void_pitores/qer/brick1_ns.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/brick1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/brick2b_ns
{
	qer_editorimage textures/void_pitores/qer/brick2b_ns.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/brick2b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/concrete1b_ns
{
	qer_editorimage textures/void_pitores/qer/concrete1b_ns.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/concrete1b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/concrete2_ns
{
	qer_editorimage textures/void_pitores/qer/concrete2_ns.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/concrete2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/decotent1b_nodamage
{
	qer_editorimage textures/void_pitores/qer/decotent1b_nodamage.tga
	qer_alphaFunc gequal 0.5
	surfaceparm carpetsteps
	surfaceparm nodamage
	cull none
	{
		map textures/void_pitores/decotent1b.tga
		alphaFunc GE128
		rgbGen identity
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		depthFunc equal
	}
}

textures/void_pitores/decotent1b_ns
{
	qer_editorimage textures/void_pitores/qer/decotent1b_ns.tga
	qer_alphaFunc gequal 0.5
	surfaceparm nonsolid
	cull none
	{
		map textures/void_pitores/decotent1b.tga
		alphaFunc GE128
		rgbGen identity
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		depthFunc equal
	}
}

textures/void_pitores/glass_oneway_front
{
	qer_editorimage textures/void_pitores/qer/glass_oneway_front.tga
	qer_trans 0.75
	q3map_cloneShader textures/void_pitores/glass_oneway_back
	surfaceparm glass
	surfaceparm alphashadow
	surfaceparm nolightmap
	surfaceparm trans
	{
		map textures/void_pitores/glass_a.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen vertex
	}
}

textures/void_pitores/glass_oneway_back
{
	qer_editorimage textures/void_pitores/qer/glass_oneway_back.tga
	qer_trans 0.75
	q3map_invert
	surfaceparm glass
	surfaceparm alphashadow
	surfaceparm nolightmap
	surfaceparm trans
	{
		map textures/hour_pitores/glass.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen const 0.95
		rgbGen vertex
	}
}

textures/void_pitores/lamp1_green_1
{
	qer_editorimage textures/void_pitores/lamp1_green.jpg
	surfaceparm glass
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/void_pitores/lamp1_red2.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// second copy for remapshader targeting
textures/void_pitores/lamp1_green_2
{
	qer_editorimage textures/void_pitores/lamp1_green.jpg
	surfaceparm glass
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/void_pitores/lamp1_green.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/lamp1_style_1
{
	qer_editorimage textures/hour_pitores/lamp1.jpg
	q3map_surfacelight 5000
	q3map_lightStyle 1
	surfaceparm glass
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/hour_pitores/lamp1.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/lamp1_style_2
{
	qer_editorimage textures/hour_pitores/lamp1.jpg
	q3map_surfacelight 5000
	q3map_lightStyle 2
	surfaceparm glass
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/hour_pitores/lamp1.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}



textures/void_pitores/lamp1_yellow_style_1
{
	qer_editorimage textures/void_pitores/lamp1_yellow.jpg
	q3map_surfacelight 5000
	q3map_lightStyle 1
	surfaceparm glass
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/void_pitores/lamp1_yellow.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/lamp1_red2_1
{
	qer_editorimage textures/void_pitores/lamp1_red2.jpg
	surfaceparm glass
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/void_pitores/lamp1_red2.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// second copy for remapshader targeting
textures/void_pitores/lamp1_red2_2
{
	qer_editorimage textures/void_pitores/lamp1_red2.jpg
	surfaceparm glass
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/void_pitores/lamp1_red2.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/metal10b_ns
{
	qer_editorimage textures/void_pitores/qer/metal10b_ns.jpg
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/metal10b.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/metal6_dark
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/void_pitores/metal6_dark.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/metal6_dark_scroll
{
	qer_editorimage textures/void_pitores/qer/metal6_dark_scroll.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/void_pitores/metal6_dark.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		tcMod scroll 20 0
		rgbGen identity
	}
}

textures/void_pitores/metal6_dark_scroll_reverse
{
	qer_editorimage textures/void_pitores/qer/metal6_dark_scroll_reverse.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/void_pitores/metal6_dark.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		tcMod scroll -20 0
		rgbGen identity
	}
}

// just a copy of the base shader for remapshader targeting
textures/void_pitores/metal6_dark_static
{
	qer_editorimage textures/void_pitores/qer/metal6_dark_static.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/void_pitores/metal6_dark.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/metal6_dark_static_reverse
{
	qer_editorimage textures/void_pitores/qer/metal6_dark_static_reverse.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/void_pitores/metal6_dark.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/metal6_ns
{
	qer_editorimage textures/void_pitores/qer/metal6_ns.jpg
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/metal6.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/trim3_slick
{
	qer_editorimage textures/void_pitores/qer/trim3_slick.jpg
	surfaceparm slick
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/trim3.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/walllined2b_ns
{
	qer_editorimage textures/void_pitores/qer/walllined2b_ns.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/walllined2b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/walllined3b_ns
{
	qer_editorimage textures/void_pitores/qer/walllined3b_ns.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/walllined3b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/wood2_ns
{
	qer_editorimage textures/void_pitores/qer/wood2_ns.jpg
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/wood2.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/wood5b_ns
{
	qer_editorimage textures/void_pitores/qer/wood5b_ns.jpg
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/wood5b.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/void_pitores/wood5b_obslick
{
	qer_editorimage textures/void_pitores/qer/wood5b_obslick.jpg
	surfaceparm woodsteps
	surfaceparm monsterslicksouth
	surfaceparm nodamage
	surfaceparm slick
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hour_pitores/wood5b.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
